local addonName, at = ...
local core = at.core

at.L = {}

-- literally insert a table directly into the locale... I was wrong about some stuff
-- this allows personal addons to "plug-in" the addon.
-- 	should work so long as this is called before PLAYER_ENTERING_WORLD
local function IndexFunc(L, key)
		return key
end
function JamPlatesAcessories_SetLocale(locale)
	local tab
	if type(locale) == 'table' then
	tab = locale
	else
			
		-- I'm confident that anyone who would translate this would know how but there are some basic instructions included
		-- just change enGB to whatever locale you need, copy/paste, change translations, and you should be good
		if locale == 'enGB' then
			tab = {
				-- example... for the most part
					--['used in code'] = 'translated value'
					['Features'] = 'Features',
					
					['Enable Auras'] = 'Enable Auras',
					['Display Auras'] = 'Display Auras',
					
					['Enable Aura Watch'] = 'Enable Aura Watcher',
					["Enable aura tracking, seperating specified auras from the default display."] = "Enable aura tracking, seperating specified auras from the default display.",
					["These ignore the inverted setting."] = "These ignore the inverted setting.",
					
					['Enable Combo Points'] = 'Enable Combo Points',
					["Display combo points."] = "Display combo points.",
					
					['Enable Threat'] = 'Enable Threat',
					["Display threat eye indicator."] = "Display threat eye indicator.",
					
					['Enable Combat'] = 'Enable Combat',
					["Display combat indicator."] = "Display combat indicator.",
					
					["The anchor point on the nameplate."] =	"The anchor point on the nameplate.",
					["The point ralative to the anchor."] =	"The point ralative to the anchor.",
					["Distance left/right from the anchor the relative point goes."] =	"Distance left/right from the anchor the relative point goes.",
					["Distance up/down from the anchor the relative point goes."] = "Distance up/down from the anchor the relative point goes.",
					['Anchor'] = 'Anchor',
					['Relative'] = 'Relative',
					
					['Aura'] = 'Aura',
					['Invert Auras'] = 'Invert Auras',
					["Enemy: Show buffs instead of debuffs."] = "Enemy: Show buffs instead of debuffs.",
					["Ally: Show debuffs instead of buffs."] = "Ally: Show debuffs instead of buffs.",
					['Auras Per Row'] = 'Auras Per Row',
					["The number of auras per row."] = "The number of auras per row.",
					['Show Pet Auras'] = 'Show Pet Auras',
					['Show Aura Borders'] = 'Show Aura Borders',
					['Reverse Row Growth'] = 'Reverse Row Growth',
					["Grow auras down instead of up."] = "Grow auras down instead of up.",
					['Reverse Column Direction'] = 'Reverse Column Direction',
					["Grow auras left instead of right."] = "Grow auras left instead of right.",
					
					['Aura Width'] = 'Aura Width',
					["The aura width."] = "The aura width.",
					['Aura Height'] = 'Aura Height',
					["The aura height."] = "The aura height.",
					['Aura Scale'] = 'Aura Scale',
					["The aura scale."] = "The aura scale.",
					
					['Aura Watch'] = 'Aura Watch',
					-- it's the same as the ones for Aura
					
					['Threat'] = 'Threat',
					['Threat Width'] = 'Threat Width',
					["The threat width."] = "The threat width.",
					['Threat Height'] = 'Threat Height',
					["The threat height."] = "The threat height.",
					['Threat Scale'] = 'Threat Scale',
					["The threat scale."] = "The threat scale.",
					
					['Combat'] = 'Combat',
					['Combat Indicator Width'] = 'Combat Indicator Width',
					["The indicator width."] = "The indicator width.",
					['Combat Indicator Height'] = 'Combat Indicator Height',
					["The indicator height."] = "The indicator height.",
					['Combat Indicator Scale'] = 'Combat Indicator Scale',
					["The indicator scale."] = "The indicator scale.",
					
					-- hmmmm?
					['Combo Point'] = 'Combo Point',
					['Point Width'] = 'Combo Point Width',
					["Combo point width."] = "Combo point width.",
					['Point Height'] = 'Combo Point Height',
					["Combo point height."] = "Combo point height.",
					['Point Scale'] = 'Combo Point Scale',
					["Combo point scale."] = "Combo point scale.",
					
					['Profiles'] = 'Profiles',
					['Load Profile'] = 'Load Profile',
					["Load a profile from another character."] = "Load a profile from another character.",
					["Default is not default settings, they are user defined defaults to be used by multiple characters."] = "Default is not default settings, they are user defined defaults to be used by multiple characters.",
					['Copy Profile'] = 'Copy Profile',
					["Copy a profile from another character."] = "Copy a profile from another character.",
					
					['Aura List'] = 'Aura List',
					['Warning!  List gets long.'] = 'Warning!  List gets long.',
					
					["Spell ID:  "] = "Spell ID:  ",
					
					['Spell Filter'] = 'Spell Filter',
					
					['Remove'] = 'Remove',
					
					["Only accepts a spell ID value."] = "Only accepts a spell ID value.",
					["Literally numbers only."] = "Literally numbers only.",
					
					['Commands disabled in combat.'] = 'Commands disabled in combat.',
			}
		
		elseif locale == 'deDE' then
			tab = {
				["Ally: Show debuffs instead of buffs."] = "Ally: Show debuffs instead of buffs.", -- Requires localization
				['Anchor'] = "Anchor", -- Requires localization
				['Aura'] = "Aura", -- Needs review
				["Aura Height"] = "Aurahöhe", -- Needs review
				["Aura List"] = "Aura List", -- Requires localization
				["Aura Scale"] = "Auraskalierung", -- Needs review
				["Auras Per Row"] = "Auren pro Reihe", -- Needs review
				["Aura Watch"] = "Aura Watch", -- Requires localization
				["Aura Width"] = "Aurabreite", -- Needs review
				['Combat'] = "Kampf", -- Needs review
				["Combat Indicator Height"] = "Combat Indicator Height", -- Requires localization
				["Combat Indicator Scale"] = "Combat Indicator Scale", -- Requires localization
				["Combat Indicator Width"] = "Combat Indicator Width", -- Requires localization
				["Combo Point"] = "Combopunkt", -- Needs review
				["Combo point height."] = "Combopunkthöhe.", -- Needs review
				["Combo point scale."] = "Combopunktskalierung.", -- Needs review
				["Combo point width."] = "Combopunktbreite.", -- Needs review
				["Commands disabled in combat."] = "Commands disabled in combat.", -- Requires localization
				["Copy a profile from another character."] = "Copy a profile from another character.", -- Requires localization
				["Copy Profile"] = "Profil kopieren", -- Needs review
				["Default is not default settings, they are user defined defaults to be used by multiple characters."] = "Default is not default settings, they are user defined defaults to be used by multiple characters.", -- Requires localization
				["Display Auras"] = "Display Auras", -- Requires localization
				["Display combat indicator."] = "Display combat indicator.", -- Requires localization
				["Display combo points."] = "Display combo points.", -- Requires localization
				["Display threat eye indicator."] = "Display threat eye indicator.", -- Requires localization
				["Distance left/right from the anchor the relative point goes."] = "Distance left/right from the anchor the relative point goes.", -- Requires localization
				["Distance up/down from the anchor the relative point goes."] = "Distance up/down from the anchor the relative point goes.", -- Requires localization
				["Enable Auras"] = "Enable Auras", -- Requires localization
				["Enable aura tracking, seperating specified auras from the default display."] = "Enable aura tracking, seperating specified auras from the default display.", -- Requires localization
				["Enable Aura Watch"] = "Enable Aura Watcher", -- Requires localization
				["Enable Combat"] = "Enable Combat", -- Requires localization
				["Enable Combo Points"] = "Enable Combo Points", -- Requires localization
				["Enable Threat"] = "Enable Threat", -- Requires localization
				["Enemy: Show buffs instead of debuffs."] = "Enemy: Show buffs instead of debuffs.", -- Requires localization
				['Features'] = "Features", -- Requires localization
				["Grow auras down instead of up."] = "Grow auras down instead of up.", -- Requires localization
				["Grow auras left instead of right."] = "Grow auras left instead of right.", -- Requires localization
				["Invert Auras"] = "Invert Auras", -- Requires localization
				["Literally numbers only."] = "Literally numbers only.", -- Requires localization
				["Load a profile from another character."] = "Load a profile from another character.", -- Requires localization
				["Load Profile"] = "Profil laden", -- Needs review
				["Only accepts a spell ID value."] = "Only accepts a spell ID value.", -- Requires localization
				["Point Height"] = "Combo Point Height", -- Requires localization
				["Point Scale"] = "Combo Point Scale", -- Requires localization
				["Point Width"] = "Combo Point Width", -- Requires localization
				['Profiles'] = "Profile", -- Needs review
				['Relative'] = "Relative", -- Requires localization
				['Remove'] = "Entfernen", -- Needs review
				["Reverse Column Direction"] = "Reverse Column Direction", -- Requires localization
				["Reverse Row Growth"] = "Reverse Row Growth", -- Requires localization
				["Show Aura Borders"] = "Show Aura Borders", -- Requires localization
				["Show Pet Auras"] = "Show Pet Auras", -- Requires localization
				["Spell Filter"] = "Spell Filter", -- Requires localization
				["Spell ID:  "] = "Zauber-ID:", -- Needs review
				["The anchor point on the nameplate."] = "The anchor point on the nameplate.", -- Requires localization
				["The aura height."] = "Die Aurahöhe.", -- Needs review
				["The aura scale."] = "Die Auraskalierung.", -- Needs review
				["The aura width."] = "Die Aurabreite.", -- Needs review
				["The indicator height."] = "Die Indikatorhöhe.", -- Needs review
				["The indicator scale."] = "Die Indikatorskalierung.", -- Needs review
				["The indicator width."] = "Die Indikatorbreite.", -- Needs review
				["The number of auras per row."] = "The number of auras per row.", -- Requires localization
				["The point ralative to the anchor."] = "The point ralative to the anchor.", -- Requires localization
				["These ignore the inverted setting."] = "These ignore the inverted setting.", -- Requires localization
				["The threat height."] = "The threat height.", -- Requires localization
				["The threat scale."] = "The threat scale.", -- Requires localization
				["The threat width."] = "The threat width.", -- Requires localization
				['Threat'] = "Threat", -- Requires localization
				["Threat Height"] = "Threat Height", -- Requires localization
				["Threat Scale"] = "Threat Scale", -- Requires localization
				["Threat Width"] = "Threat Width", -- Requires localization
				["Warning!  List gets long."] = "Warnung! Liste wird zu lang.", -- Needs review
			}
		
		elseif locale == 'enUS' then
			-- the value, or key, is already in this locale.
			tab = {}
			--setmetatable(tab, {__index = IndexFunc})
		end
	end
	setmetatable(tab, {__index = IndexFunc})
	at.L = tab
end

JamPlatesAcessories_SetLocale(GetLocale())
